#
# spec file for package qt (Version 4.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups-devel cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs e2fsprogs-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libdrm libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           qt
BuildRequires:  Mesa-devel cups-devel freetype2-devel gcc-c++ krb5-devel libjpeg-devel libmng-devel libpng-devel pkgconfig update-desktop-files
URL:            http://www.trolltech.com
License:        QPL, GPL
Group:          System/Libraries
Autoreqprov:    on
Summary:        C++ Program Library, Core Components
# COMMON-BEGIN
Version:        4.1.0
Release:        29.2
%define x11_free  -x11-opensource-src-
%define rversion 4.1.0
Source:         qt%x11_free%rversion.tar.bz2
Source10:       qt4config.desktop
Source11:       designer4.desktop
Source12:       linguist4.desktop
Source13:       assistant4.desktop
Patch1:         external-sqlite.diff
Patch2:         qt4-about.patch
Patch3:         aliasing.diff
Patch4:         warnings.patch
Patch5:         lib64.patch
Patch6:         fix_zero_fontsize.diff
Patch7:         fix-qt-edition.patch
Patch8:         syntaxhighlighter-rehighlight.diff
Patch9:         fix-arthurplugin.patch
Patch10:        fix-debug-and-release.patch
Patch11:        0108-fix-im.diff
Patch12:        fix-im-libs.diff
Patch13:        fix-plugin-loading.diff
Patch14:        preproorder.patch
Patch15:        s390x-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define common_options -shared -xkb -tablet -xrender -xrandr -xinerama -xshape -sm -no-nas-sound -no-rpath -system-libjpeg -system-libpng -accessibility -cups -stl -nis -system-zlib -qt-gif -prefix /usr -L %_libdir -libdir %_libdir -docdir %_docdir/qt/ -examplesdir %_docdir/qt/examples -demosdir %_docdir/qt/demos -plugindir %plugindir -translationdir /usr/share/qt/translations  -sysconfdir /etc/settings -datadir /usr/share/qt/

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.



Authors:
--------
    Troll Tech AS, Norway

%debug_package
%prep
%define plugindir %_libdir/qt/plugins
%setup -q -n qt%x11_free%rversion
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch11
%patch12
%patch13
%patch14
%patch10
%patch15
# be sure not to use them
rm -rf src/3rdparty/{libjpeg,freetype,libpng,zlib}
# COMMON-END
%package devel
Group:          System/Libraries
Summary:        Qt Development Kit
Requires:       xorg-x11-devel zlib-devel libstdc++-devel
Requires:       qt = %version

%description devel
You need this package, if you want to compile programs with Qt. It
contains the "Qt Crossplatform Development Kit". It does contain
include files and development applications like GUI designers,
translator tools and code generators.



Authors:
--------
    Troll Tech AS, Norway

%package devel-doc
Group:          System/Libraries
Summary:        Qt documentation

%description devel-doc
The package contains documentation and examples to develop Qt
applications. The SuSE help provides a search function for this
documentation. The package includes also a tutorial and examples.



Authors:
--------
    Troll Tech AS, Norway

%package x11
Group:          System/Libraries
Summary:        Qt 4 GUI related libraries

%description x11
Qt 4 libraries which are used for drawing widgets and OpenGL items.



Authors:
--------
    Troll Tech AS, Norway

%package qt3support
Group:          System/Libraries
Summary:        C++ Program Library, Core Components

%description qt3support
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.



Authors:
--------
    Troll Tech AS, Norway

%package sql
Group:          System/Libraries
Summary:        Qt 4 SQL related libraries

%description sql
Qt 4 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server.



Authors:
--------
    Troll Tech AS, Norway


%build
export QTDIR=$PWD
export CXXFLAGS="$RPM_OPT_FLAGS"
export PATH=$PWD/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib/
echo yes | ./configure -release %common_options -no-sql-sqlite -no-sql-sqlite2
make %{?jobs:-j %jobs}

%install
export QTDIR=$PWD
make INSTALL_ROOT=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/share/qt/mkspecs/*/qmake.conf.orig
# argggh, qmake is such a piece of <censored>
mkdir -p $RPM_BUILD_ROOT/%_libdir/pkgconfig
find  $RPM_BUILD_ROOT/%_libdir -type f -name '*.pc' -exec mv {} $RPM_BUILD_ROOT/%_libdir/pkgconfig \;
# fix more qmake errors
mkdir -p $RPM_BUILD_ROOT/%_libdir/qt
mv $RPM_BUILD_ROOT/%_docdir/%name/demos $RPM_BUILD_ROOT/%_libdir/qt
mv $RPM_BUILD_ROOT/%_docdir/%name/examples $RPM_BUILD_ROOT/%_libdir/qt
# qmake is even a bigger piece of <censored>
find $RPM_BUILD_ROOT/%_libdir -type f -name '*prl' -exec perl -pi -e "s, -L$RPM_BUILD_DIR/\S+,,g" {} \;
find $RPM_BUILD_ROOT/%_libdir -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find $RPM_BUILD_ROOT/%_docdir/%name -type f -name 'lib*.a' -exec rm {} \;
find $RPM_BUILD_ROOT/%_libdir -type f -name '*la' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \;
find $RPM_BUILD_ROOT/%_libdir/pkgconfig -type f -name '*pc' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \;
find $RPM_BUILD_ROOT/usr/share/qt/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find $RPM_BUILD_ROOT/usr/share/qt/mkspecs -name Info.plist.app -exec chmod -x -- {} \;
mkdir -p $RPM_BUILD_ROOT/%plugindir/sqldrivers
#
# install menu entries
#
%suse_update_desktop_file -i qt4config  Qt Utility     DesktopSettings
%suse_update_desktop_file -i assistant4 Qt Development Documentation
%suse_update_desktop_file -i designer4  Qt Development GUIDesigner
%suse_update_desktop_file -i linguist4  Qt Development Translation

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig -n %_libdir

%post devel
/sbin/ldconfig -n %_libdir

%post x11
/sbin/ldconfig -n %_libdir

%post qt3support
/sbin/ldconfig -n %_libdir

%post sql
/sbin/ldconfig -n %_libdir

%postun
/sbin/ldconfig -n %_libdir

%postun devel
/sbin/ldconfig -n %_libdir

%postun x11
/sbin/ldconfig -n %_libdir

%postun qt3support
/sbin/ldconfig -n %_libdir

%postun sql
/sbin/ldconfig -n %_libdir

%files
%defattr(-,root,root,755)
%dir %_libdir/qt
%dir %plugindir
%dir /usr/share/qt
%dir /usr/share/doc/packages/%name
%_libdir/libQtCore*.so.*
%_libdir/libQtNetwork*.so.*
%_libdir/libQtXml*.so.*
%_libdir/libQtTest.so.*
/usr/share/qt/phrasebooks
/usr/share/qt/translations

%files x11
%defattr(-,root,root,755)
%exclude %plugindir/accessible/libqtaccessiblecompatwidgets.so
/usr/bin/qtconfig
/usr/share/applications/qt4config.desktop
%_libdir/libQtGui*.so.*
%_libdir/libQtOpenGL*.so.*
%_libdir/libQtSvg.so.*

%plugindir/imageformats

%plugindir/codecs

%plugindir/inputmethods

%plugindir/accessible

%files qt3support
%defattr(-,root,root,755)
%_libdir/libQt3Support*.so.*

%plugindir/accessible/libqtaccessiblecompatwidgets.so

%files devel
%defattr(-,root,root,755)
/usr/bin/rcc
/usr/bin/uic
/usr/bin/uic3
/usr/bin/moc
/usr/bin/qmake
/usr/bin/designer
/usr/bin/linguist
/usr/bin/lrelease
/usr/bin/lupdate
/usr/bin/qm2ts
/usr/bin/qt3to4
%_libdir/lib*.prl
%_libdir/lib*a
%_libdir/lib*.so
%_libdir/libQtDesigner*.so.*
%_libdir/pkgconfig/*

%plugindir/designer
/usr/include/*
/usr/share/applications/designer4.desktop
/usr/share/applications/linguist4.desktop
/usr/share/pixmaps/assistant.png
/usr/share/pixmaps/designer.png
/usr/share/qt/mkspecs
/usr/share/qt/q3porting.xml

%files devel-doc
%defattr(-,root,root,755)
/usr/bin/assistant
/usr/bin/qtdemo
/usr/share/applications/assistant4.desktop
/usr/share/pixmaps/linguist.png
/usr/share/doc/packages/%name/html
#/usr/share/doc/packages/%name/examples
#/usr/share/doc/packages/%name/demos
/usr/%_lib/%name/examples
/usr/%_lib/%name/demos

%files sql
%defattr(-,root,root,755)
%dir %plugindir/sqldrivers
%_libdir/libQtSql*.so.*

%changelog -n qt
* Mon Apr 10 2006 - dmueller@suse.de
- fix wrong assembler mnemonic in QAtomic for s390x
* Wed Mar 22 2006 - dmueller@suse.de
- fix debug package conflict
* Tue Mar 21 2006 - dmueller@suse.de
- don't build the examples against debug libs
- fix plugin loading (#159092)
* Wed Mar 01 2006 - dmueller@suse.de
- strip $RPM_BUILD_DIR from installed files (#153597)
* Fri Feb 17 2006 - dmueller@suse.de
- install arthurplugin into plugin designer path (#151529)
- add patch to make parallel builds work
- enable parallel builds
* Wed Feb 15 2006 - dmueller@suse.de
- Fix qt-devel requires
- Add patch to make it usable for KDE 4
* Sun Feb 12 2006 - stbinner@suse.de
- fix build
* Sun Feb 12 2006 - ro@suse.de
- fix spec file
* Wed Feb 08 2006 - dmueller@suse.de
- build qt-sql in qt.spec, and only the plugins separate
* Fri Feb 03 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Feb 01 2006 - dmueller@suse.de
- remove no-visibility patch. Qt now builds fine with it
- remove no_rpath patch and instead use -no-rpath configure option
- split source package
- add upstream patch to fix license display in Qt dialog boxes
  (#146599)
* Tue Jan 31 2006 - dmueller@suse.de
- fix qt-qt3support / qt-devel file conflict
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - dmueller@suse.de
- update to Qt 4.1 final
- add ldconfig post/postun for qt3support
* Wed Dec 07 2005 - uli@suse.de
- atomic-s390.patch has been merged into 4.1, applying it again
  breaks build; removed
- change X keysyms include order to avoid double definitions
* Tue Nov 22 2005 - stbinner@suse.de
- update to Qt 4.1 RC 1
* Thu Nov 17 2005 - dmueller@suse.de
- fix build for 9.1, 9.2
* Wed Sep 28 2005 - dmueller@suse.de
- fix upgrade path (unpacking symlinks over dirs doesn't work)
* Sat Sep 17 2005 - dmueller@suse.de
- add patch to make input methods work (#116778)
* Sat Sep 17 2005 - dmueller@suse.de
- fix build for older distro's
* Thu Sep 08 2005 - dmueller@suse.de
- fix qtdemo (#113783)
* Thu Sep 08 2005 - adrian@suse.de
- do not disable STL support, which would make us incompatible
* Thu Sep 01 2005 - dmueller@suse.de
- fix filelist
* Mon Aug 29 2005 - adrian@suse.de
- do not do a parallel build, it does fail too often
* Tue Aug 23 2005 - dmueller@suse.de
- fix filelist
- fix pkgconfig location
- remove BUILD-dirs from pkgconfig files
* Mon Aug 22 2005 - dmueller@suse.de
- 4.0.1 update (bugfixes)
- add -debug subpackage
* Fri Aug 12 2005 - dmueller@suse.de
- fix dependency of devel package
- fix doc packaging
- fix permissions
- add hack to fix the .la files produced by qmake
* Sun Aug 07 2005 - adrian@suse.de
- link against external sqlite
- fix -devel package requires
* Sat Aug 06 2005 - adrian@suse.de
- add desktop files for gui applications
* Tue Jul 12 2005 - schwab@suse.de
- Fix ia64 atomic ops.
* Tue Jul 05 2005 - uli@suse.de
- fixed semantics of atomic ops for s390* (tested and working)
* Wed Jun 29 2005 - dmueller@suse.de
- reapply lost ia64 fixes
- build with -release only
* Wed Jun 29 2005 - uli@suse.de
- fixed to build on lib64 archs
- squelched warnings that offend autobuild
- added atomic ops for s390*
* Tue Jun 28 2005 - dmueller@suse.de
- upgrade Qt 4.0 final
* Fri Jun 17 2005 - dmueller@suse.de
- some more rpmlint fixes and one ia64 fix.
* Wed Jun 15 2005 - dmueller@suse.de
- build
* Wed Jun 15 2005 - dmueller@suse.de
- fix packaging
* Tue Jun 14 2005 - dmueller@suse.de
- update to 4.0.0rc1
* Thu May 12 2005 - ro@suse.de
- fix build on x86-64 fix build on x86-64
* Wed Apr 13 2005 - adrian@suse.de
- update to beta2
- rename qt-qt3compat package to qt-qt3support to follow library name
* Wed Jan 05 2005 - adrian@suse.de
- update to pre beta2 snapshot 200513
  * package is under GPL/QPL again
- split package into sub packages
  * qt           - does not require any X11 or image lib dependency
  * qt-x11       - does need libX11 and OpenGL
  * qt-qt3compat - library for easy porting of Qt 3 code
  * qt-devel     - all development stuff
  * qt-devel-doc - API documentation and assistant tool
  * qt-sql*      - SQL database lib and plugins
* Fri Jul 09 2004 - adrian@suse.de
- initial package of the new, great, perfect designed Qt 4
- internal package only for now
